Update glacier-install.sh

This commit is contained in:
everest 2022-04-20 19:03:59 +00:00 committed by GitHub
parent 37cccd709b
commit 65662a51e7
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23

View File

@ -21,18 +21,18 @@ if [[ $(/usr/bin/id -u) -ne 0 ]]; then
exit exit
fi fi
echo "\033[1;34m [ ? ] \033[m Enter package name:" && read input printf "\033[1;34m [ ? ] \033[m Enter package name:" && read input
echo "\033[1;34m [ i ] \033[m Installing $input.tar.gz" printf "\033[1;34m [ i ] \033[m Installing $input.tar.gz"
echo "Checking world..." && wget https://github.com/everest-linux/glacier-pkgs/raw/main/world/$input.tar.gz printf "Checking world..." && wget https://github.com/everest-linux/glacier-pkgs/raw/main/world/$input.tar.gz
if [ "$?" != "0" ]; then if [ "$?" != "0" ]; then
echo "\033[1;31m [ $error ] \033[m Package not found." 1>&2 printf "\033[1;31m [ $error ] \033[m Package not found." 1>&2
exit 1 exit 1
fi fi
echo "\033[1;34m [ i ] \033[m Unpacking $input.tar.gz..." printf "\033[1;34m [ i ] \033[m Unpacking $input.tar.gz..."
mkdir -v $input && mv -v $input.tar.gz $input && cd $input mkdir -v $input && mv -v $input.tar.gz $input && cd $input
tar -xvf $input.tar.gz tar -xvf $input.tar.gz
if [ "$?" != "0" ]; then if [ "$?" != "0" ]; then
echo "\033[1;31m [ $error ] \033[m Could not unpack $input.tar.gz" 1>&2 printf "\033[1;31m [ $error ] \033[m Could not unpack $input.tar.gz" 1>&2
exit 1 exit 1
fi fi
chmod +x INSTALL.sh chmod +x INSTALL.sh
@ -40,8 +40,8 @@ chmod +x $input.ts.sh
echo "\033[1;34m [ i ] \033[m Executing installation instructions..." echo "\033[1;34m [ i ] \033[m Executing installation instructions..."
./INSTALL.sh # Actually executes installation script ./INSTALL.sh # Actually executes installation script
./$input.ts.sh ./$input.ts.sh
echo "\033[1;34m [ i ] \033[m Cleaning up..." # Status message printf "\033[1;34m [ i ] \033[m Cleaning up..." # Status message
mv -v $input-pkginfo.json /etc/glacier/pkginfo mv -v $input-pkginfo.json /etc/glacier/pkginfo
cd .. cd ..
rm -rvf $input rm -rvf $input
echo "\033[1;32m [ $check ] \033[m Operation completed." printf "\033[1;32m [ $check ] \033[m Operation completed."